Bug 1565369 - dvd-ostree installs require network, even though they shouldn't
Summary: dvd-ostree installs require network, even though they shouldn't
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F28FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-04-09 23:06 UTC by Adam Williamson
Modified: 2018-05-11 23:29 UTC (History)
15 users (show)

Fixed In Version: anaconda-28.22.8-1 anaconda-28.22.8-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 17:16:12 UTC
Type: Bug


Attachments (Terms of Use)
anaconda.log (9.43 KB, text/plain)
2018-04-10 23:35 UTC, Adam Williamson
no flags Details
dbus.log (3.13 KB, text/plain)
2018-04-10 23:36 UTC, Adam Williamson
no flags Details
ifcfg.log (2.26 KB, text/plain)
2018-04-10 23:38 UTC, Adam Williamson
no flags Details
journalctl -b output (616.66 KB, text/plain)
2018-04-10 23:39 UTC, Adam Williamson
no flags Details
lvm.log (190.57 KB, text/plain)
2018-04-10 23:39 UTC, Adam Williamson
no flags Details
program.log (44.68 KB, text/plain)
2018-04-10 23:47 UTC, Adam Williamson
no flags Details
storage.log (99.82 KB, text/plain)
2018-04-10 23:47 UTC, Adam Williamson
no flags Details
X.log (21.56 KB, text/plain)
2018-04-10 23:48 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2018-04-09 23:06:42 UTC
Booting the latest Fedora Atomic Workstation Rawhide installer image on a VM here results in the network not coming up for some reason. Haven't figured out why yet, but there's a bug regardless of that: if the network is not connected, the hub will not allow you to progress to 'Begin Installation' (the 'NETWORK & HOST NAME' spoke is shown with the orange warning icon, the 'Beging Installation' button is greyed out, and the 'Please complete items marked with this icon before continuing to the next step' message is shown at the bottom of the hub), even though there shouldn't be any need for the network to be connected, AFAIK - the payload should be fully present on the media, just like the traditional DVD install media.

Comment 1 Jiri Konecny 2018-04-10 08:04:11 UTC
Hi Adam,

Could you please attach installation logs. Thank you.

Comment 2 Adam Williamson 2018-04-10 23:35:26 UTC
Created attachment 1420117 [details]
anaconda.log

Comment 3 Adam Williamson 2018-04-10 23:36:22 UTC
Created attachment 1420118 [details]
dbus.log

Comment 4 Adam Williamson 2018-04-10 23:38:41 UTC
Created attachment 1420119 [details]
ifcfg.log

Comment 5 Adam Williamson 2018-04-10 23:39:19 UTC
Created attachment 1420120 [details]
journalctl -b output

Comment 6 Adam Williamson 2018-04-10 23:39:41 UTC
Created attachment 1420121 [details]
lvm.log

Comment 7 Adam Williamson 2018-04-10 23:47:09 UTC
Created attachment 1420122 [details]
program.log

Comment 8 Adam Williamson 2018-04-10 23:47:31 UTC
Created attachment 1420123 [details]
storage.log

Comment 9 Adam Williamson 2018-04-10 23:48:10 UTC
Created attachment 1420124 [details]
X.log

Comment 10 Radek Vykydal 2018-04-12 14:09:58 UTC
This is the case also in F28 Beta, Dusty do you care to have this fixed in F28?

Comment 11 Dusty Mabe 2018-04-12 14:14:11 UTC
It would be nice to have this fixed for f28, but I don't necessarily think it's critical. Is it possible we can have someone do quick investigation to see if the solution is simple?

Comment 12 Radek Vykydal 2018-04-12 14:24:36 UTC
It should be simple:
https://github.com/rhinstaller/anaconda/pull/1435

Comment 13 Dusty Mabe 2018-04-12 14:32:39 UTC
Yeah, in that case I prefer F28 :)

Comment 14 Colin Walters 2018-04-12 14:35:26 UTC
Offhand...

NetworkSpoke.py:
    @property
    def completed(self):
        """ Check whether this spoke is complete or not. Do an additional
            check if we're installing from CD/DVD, since a network connection
            should not be required in this case.
        """
        return (not can_touch_runtime_system("require network connection")
                or nm.nm_activated_devices())

I suspect Anaconda doesn't understand that we injected the ostree content in - it's a different process from the classical "DVD" model with RPMs that is generated by pungi.

Comment 15 Fedora Blocker Bugs Application 2018-04-14 14:59:24 UTC
Proposed as a Freeze Exception for 28-final by Fedora user walters using the blocker tracking app because:

 Part of the installation experience for FAW.  Not a blocker though.

Comment 16 Colin Walters 2018-04-14 15:08:18 UTC
Are there any other Anaconda changes pending for F28?  If not I'm happy to do a build/test for this.  I do see https://bugzilla.redhat.com/show_bug.cgi?id=1566621 but it's not clear that's going to be worked on soon.

Comment 17 Adam Williamson 2018-04-15 00:37:01 UTC
It's best to leave it to the anaconda team, there's a process and a schedule for doing the builds. This will still have time to get in. They usually build on Mondays, so there's a good chance it'll go in then.

Comment 18 František Zatloukal 2018-04-16 17:48:22 UTC
Discussed during the 2018-04-16 blocker review meeting: [1]

The decision to classify this bug as an AcceptedFreezeException was made as it:

"there's clearly a benefit to having the appstream data as up to date as possible with the packages included in Final, so updating it after freeze is a good idea"

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-04-16/f28-blocker-review.2018-04-16-16.00.log.txt

Comment 19 František Zatloukal 2018-04-16 17:49:53 UTC
Whoops, wrong decision... :

Discussed during the 2018-04-16 blocker review meeting: [1]

The decision to classify this bug as an AcceptedFreezeException was made as it:

"this isn't a super important fix, but it is to the installer (so cannot be done post-install) and is pretty isolated and safe, so accepted as an FE issue so long as it lands soon"

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-04-16/f28-blocker-review.2018-04-16-16.00.log.txt

Comment 20 Fedora Update System 2018-04-19 16:12:34 UTC
anaconda-28.22.8-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c1909bd31

Comment 21 Fedora Update System 2018-04-20 01:49:56 UTC
anaconda-28.22.8-1.fc28, initial-setup-0.3.58-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c1909bd31

Comment 22 Fedora Update System 2018-04-20 17:16:12 UTC
anaconda-28.22.8-1.fc28, initial-setup-0.3.58-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Dusty Mabe 2018-05-11 19:49:36 UTC
can someone confirm this is fixed now?

Comment 24 Adam Williamson 2018-05-11 23:29:26 UTC
Just tested it with the ISO from today's F28 two-week Atomic nightly build, worked fine.


Note You need to log in before you can comment on or make changes to this bug.